Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451199 - Gnokii is out of date and crashes
Summary: Gnokii is out of date and crashes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnokii
Version: 7
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Linus Walleij
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 11:57 UTC by Piotr Hosowicz
Modified: 2008-06-17 03:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 03:09:40 UTC


Attachments (Terms of Use)

Description Piotr Hosowicz 2008-06-13 11:57:53 UTC
Description of problem:

gnokii-0.6.14-3 crashed unexpectedly while trying to identify, download SMSes or
phonebook, I can't remember, unfotunately I didn't make script log or something.
My phone is Nokia 6210, I was connecting via IrDA dongle, XTNDAccess, recognized
as far as I know as Activesys. gnokii crashed with segmentation fault .

My solution was to uninstall gnokii RPM with --nodeps, then build latest gnokii
form source with ./configure --prefix=/usr . Now gnokii works fine and it is far
newer version - 0.6.25 . I think that this package needs update.

Version-Release number of selected component (if applicable):

gnokii-0.6.14-3

How reproducible:

I don't know if the problem is phone-specific, dongle-specific or what. The
hardware is described above. Segfault occurred while taking some very ordinary
action - backing up SMSes / phonebook or even --identify, I can't remember.

Steps to Reproduce:

see above
  
Actual results:

segmenation fault

Expected results:

Backup og SMSes / phone book / identification of the phone.

Additional info:

# uname -a
Linux **** 2.6.23.17-88.fc7 #1 SMP Thu May 15 00:35:10 EDT 2008 i686 i686 i386
GNU/Linux
# cat /etc/fedora-release
Fedora release 7 (Moonshine)
# rpm -q glibc
glibc-2.6-4

As I can imagine that attacker knows that the victim is regularly making SMS
backups with gnokii and can send some malicious SMS to the phone exploiting
segfault - I mark it as security related.

Comment 1 Bug Zapper 2008-06-17 03:09:38 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.